summary.RJaCGH {RJaCGH} | R Documentation

## Summarizing RJaCGH models

### Description

'summary' method for objects of class 'RJaCGH'.

### Usage

    ## S3 method for class 'RJaCGH'
    summary(object, array=NULL, Chrom=NULL,
    k = NULL, point.estimator = "median",
    quantiles=NULL, ...)

### Arguments

`object` | RJaCGH objects
`array` | vector of names of arrays to summarize. If NULL, all of them.
`Chrom` | vector of chromosomes to summarize. If NULL, all of them.
`k` | Model to summarize (i.e., number of hidden states). If NULL, the most visited is taken.
`point.estimator` | Type of point estimator for mu, sigma.2 and beta. It can be "mean", "median" or "mode".
`quantiles` | A vector of probabilities for the quantiles of the posterior distribution of means and variances.
`...` | Additional arguments passed to summary.

### Details

Depending of the arguments passed, a list with contains sublists can be returned, similarly to RJaCGH and similar objects of the family. The point estimator "mode" is simply the max value obtained in a kernel density estimation through the function `density`

### Value

`k` | Frequencies of the hidden states visited by the sampler.
`mu` | Quantiles of the posterior distribution of mu
`sigma.2` | Quantiles of the posterior distribution of sigma.2
`beta` | Point estimator of beta
`stat` | Initial distribution of the hidden states.

### Author(s)

Oscar M. Rueda and Ramon Diaz Uriarte

### References

Rueda OM, Diaz-Uriarte R. Flexible and Accurate Detection of Genomic Copy-Number Changes from aCGH. PLoS Comput Biol. 2007;3(6):e122

### See Also

`RJaCGH`, `states`, `modelAveraging`, `plot.RJaCGH`, `trace.plot`,

### Examples

    y <- c(rnorm(100, 0, 1), rnorm(10, -3, 1), rnorm(20, 3, 1), rnorm(100,
    0, 1))
    Pos <- sample(x=1:500, size=230, replace=TRUE)
    Pos <- cumsum(Pos)
    Chrom <- rep(1:23, rep(10, 23))
    jp <- list(sigma.tau.mu=rep(0.5, 5), sigma.tau.sigma.2=rep(0.3, 5),
    sigma.tau.beta=rep(0.7, 5), tau.split.mu=0.5, tau.split.beta=0.5)
    fit.chrom <- RJaCGH(y=y, Pos=Pos, Chrom=Chrom, model="Chrom",
    burnin=10, TOT=100, jump.parameters=jp, k.max = 5)
    summary(fit.chrom)

[Package RJaCGH version 2.0.4 Index]